# Class Robocode

java.lang.Object
robocode.Robocode

public class Robocode extends Object
Robocode - A programming game involving battling AI tanks.
Copyright (c) 2001-2019 Mathew A. Nelson and Robocode contributors

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  - robocode.sourceforge.net

## Constructor Summary

Constructors
Constructor
Description
`Robocode()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Robocode

public Robocode()

## Method Details

### main

public static void main(String[] args)